> ## Documentation Index
> Fetch the complete documentation index at: https://avenue.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhook Logs

> List all outbound webhook delivery attempts from Avenue to your application.

## Request Headers

<ParamField header="x-api-key" type="string" required>
  Your live or test API key.
</ParamField>

## Query Parameters

<ParamField query="status" type="string">
  Filter by `DELIVERED`, `FAILED`, `PENDING`, `DEAD`.
</ParamField>

<ParamField query="event_type" type="string">
  Filter by event (e.g. `ledger.credit`).
</ParamField>

## Response

<Note>
  All amounts and balances in this endpoint are represented in **kobo** (e.g., `500000` = ₦5,000.00). Ensure you do not send or expect Naira values.
</Note>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "items": [
        {
          "id": "l9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
          "event_id": "e9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
          "event_type": "ledger.credit",
          "payload": {
            "event_id": "e9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
            "event_type": "ledger.credit",
            "api_version": "2026-07-01",
            "created_at": "2026-07-01T12:00:00Z",
            "data": {
              "wallet_id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
              "amount": 2500000
            }
          },
          "status": "DELIVERED",
          "http_status_code": 200,
          "response_body": "OK",
          "attempt_count": 1,
          "next_retry_at": null,
          "delivered_at": "2026-07-01T12:00:05Z",
          "created_at": "2026-07-01T12:00:00Z"
        }
      ],
      "total": 1,
      "page": 1,
      "limit": 20
    }
  }
  ```
</ResponseExample>
